Upload files to the integration | DataGrail Documentation

Upload files to the integration

POST https://www.example.com/api/v2/privacy_requests/:id/integrations/:integration_id/files

Request

Path Parameters

id string required
The unique identifier of the privacy request
Example: 80edbafc-4ec6-45a0-b341-73080457890e

integration_id string required
The unique identifier of the integration to upload files
Example: 7efa58a8-9b7d-4faf-8082-5f7f7f407db7

Header Parameters

authorization string required
Example: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9

Body array required

List of files to upload (multipart/form-data in format files[]=).


Max upload limit of all files is 200 MB.

See: https://developer.mozilla.org/en-US/docs/Web/HTTP/Guides/MIME_types#multipartform-data


Example:

curl -X POST https://www.example.com/api/v2/privacy_requests/:id/integrations/:integration_id/files -H "Authorization: Bearer [KEY]" -F "files[]=@/example1.txt" -F "files[]=@/example2.txt"

Responses

Files uploading complete

Schema

message string
Message which contains count of uploaded files.
Example: 2 files uploaded successfully.

{
  "message": "2 files uploaded successfully."
}

Bad Request

Schema

error string
Detailed error message.

{
  "error": "string"
}

Unauthorized

Schema

error string
Detailed error message.

{
  "error": "string"
}

Forbidden

Schema

error string
Detailed error message.

{
  "error": "string"
}

Not Found

Schema

error string
Detailed error message.

{
  "error": "string"
}

CURL Example

curl -L -X POST 'https://www.example.com/api/v2/privacy_requests/:id/integrations/:integration_id/files' \
-H 'Content-Type: multipart/form-data' \
-H 'Accept: application/json' \
-d ''

Parameters

id — path required

integration_id — path required

authorization — header required

Body required


Need help?
If you have any questions, please reach out to your dedicated Account Manager or contact us at support@datagrail.io.

Disclaimer: The information contained in this message does not constitute as legal advice. We would advise seeking professional counsel before acting on or interpreting any material.